org.eclipse.viatra.query.runtime.rete.recipes

## Interface TrimmerRecipe

- All Superinterfaces:
    AlphaRecipe, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe, SingleParentNodeRecipe
  All Known Implementing Classes:
    TrimmerRecipeImpl

      public interface TrimmerRecipe
      extends AlphaRecipe

  A representation of the model object 'Trimmer Recipe'. Implements projection without uniqueness checking.

  The following features are supported:

  - `Mask`
  See Also:
    `RecipesPackage.getTrimmerRecipe()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()`
    `Mask` | `getMask()` Returns the value of the 'Mask' containment reference.
    `void` | `setMask(Mask value)` Sets the value of the '`Mask`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMask

          Mask getMask()

      Returns the value of the 'Mask' containment reference.

      If the meaning of the 'Mask' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Mask' containment reference.
      See Also:
        `setMask(Mask)`, `RecipesPackage.getTrimmerRecipe_Mask()`
      Generated:
      Model:
        containment="true"

    - #### setMask

          void setMask(Mask value)

      Sets the value of the '`Mask`' containment reference.
      Parameters:
        `value` - the new value of the 'Mask' containment reference.
      See Also:
        `getMask()`
      Generated:

    - #### getArity

          int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Generated:
      Model:
        kind="operation" unique="false" annotation="http://www.eclipse.org/emf/2002/GenModel body='<%org.eclipse.viatra.query.runtime.rete.recipes.Mask%> _mask = this.getMask();\n<%org.eclipse.emf.common.util.EList%><<%java.lang.Integer%>> _sourceIndices = _mask.getSourceIndices();\nreturn _sourceIndices.size();'"